Installing on Windows 7 Issue
#1
Hello,
 I am trying to install Gekko on Windows 7.  Off of the bat i noticed the code shown below wasnt pointing correctly to what I downloaded.  I had to path to "gekko-develop" in the file path.
Code:
cd Downloads
cd gekko-stable
cd gekko-stable
 Once I use that path I am able to install,  then I am able to run 
Code:
npm install --only=production




After the above step when I try to install  "Gekko Broker's dependencies"  I get the error listed below.


C:\Gekko\Gekko Unzip>cd gekko-develop



C:\Gekko\Gekko Unzip\gekko-develop>npm install --only=production

up to date in 7.002s



C:\Gekko\Gekko Unzip\gekko-develop>cd exchange



C:\Gekko\Gekko Unzip\gekko-develop\exchange>npm install --only=production

npm ERR! code ENOGIT

npm ERR! No git binary found in $PATH

npm ERR!

npm ERR! Failed using git.

npm ERR! Please check if you have git installed and in your PATH.



npm ERR! A complete log of this run can be found in:

npm ERR!     C:\Users\2nd Laptop\AppData\Roaming\npm-cache\_logs\2018-07-05T06_3
0_47_322Z-debug.log




I am able to Install Tulip Indicators.  I do Have an issue starting Gekko, and i get the error listed below.


C:\Gekko\Gekko Unzip\gekko-develop\exchange>node gekko --ui

module.js:549

    throw err;

    ^



Error: Cannot find module 'C:\Gekko\Gekko Unzip\gekko-develop\exchange\gekko'

    at Function.Module._resolveFilename (module.js:547:15)

    at Function.Module._load (module.js:474:25)

    at Function.Module.runMain (module.js:693:10)

    at startup (bootstrap_node.js:191:16)
    at bootstrap_node.js:612:3

Any help would be appreciated,

Thanks!

Or[heus2
  Reply
#2
Strange, it complains that is cannot find Git. I'll try to move dependencies around so this is not needed anymore. In the meantime you can try installing git to work around it, follow these instructions: https://www.atlassian.com/git/tutorials/...it#windows
  Reply
#3
Thanks askmike! I'll give it a whirl.
Orpheus2
  Reply
#4
Up and running, thanks!!
  Reply
#5
This is the techhnical reason Git is now required: https://github.com/askmike/gekko/blob/de...e.json#L32

I have tried keeping installation as easy as possible for a long time, but I am coming to the point where I am afraid I have to introduce these extra steps in the installation process.. I will update the docs soon to reflect this new dependency.
  Reply


Forum Jump:


Users browsing this thread: